X
Tap here to go to the mobile version of the site.

Support Forum

Firefox is not recognizing my version 15.0 flash player

Posted

Hi. Today I was having trouble with Firefox being sluggish and crashing/freezing every time I played a Facebook game. It kept telling me to download the updated flash which I have done about 6 times today. It still will not recognize I have it. I looked in my control panel under Flash and I see the following: Active X version 15.0.0.0.152 NPAPI plug in version 15.0.0.152. PPAPI plug in version not installed. (I looked that up and it seems that is not for my Windows XP. The flash player I installed was 15X32_mssd_aaa_aih(i).exe. That is the manual I was asked to download on support.mozilla.org...then it gave me a specific plug in. Even though I knew I had it, I did attempt to download the plugin. It gets to 66% download complete then error application in use occurs (because I already have it) and it automatically opens Window IE to retry. I know for a fact I have the most updated version. For some reason Firefox just will not recognize it. I've restarted my computer. Earlier I reset Firefox and regave permissions on my plug ins. I have honestly done ever single fix I can do. Help please. I am going to lose my religion if this aggravates me any further! Thanks y'all. Oh and as you can see down there, it is saying I have Adobe Shockwave for Director Netscape plug-in, version 12.0.5.146 which is not true. My control panel, Flash section disagrees and says I have 15.0.0.152.

Hi. Today I was having trouble with Firefox being sluggish and crashing/freezing every time I played a Facebook game. It kept telling me to download the updated flash which I have done about 6 times today. It still will not recognize I have it. I looked in my control panel under Flash and I see the following: Active X version 15.0.0.0.152 NPAPI plug in version 15.0.0.152. PPAPI plug in version not installed. (I looked that up and it seems that is not for my Windows XP. The flash player I installed was 15X32_mssd_aaa_aih(i).exe. That is the manual I was asked to download on support.mozilla.org...then it gave me a specific plug in. Even though I knew I had it, I did attempt to download the plugin. It gets to 66% download complete then error application in use occurs (because I already have it) and it automatically opens Window IE to retry. I know for a fact I have the most updated version. For some reason Firefox just will not recognize it. I've restarted my computer. Earlier I reset Firefox and regave permissions on my plug ins. I have honestly done ever single fix I can do. Help please. I am going to lose my religion if this aggravates me any further! Thanks y'all. Oh and as you can see down there, it is saying I have Adobe Shockwave for Director Netscape plug-in, version 12.0.5.146 which is not true. My control panel, Flash section disagrees and says I have 15.0.0.152.

Chosen solution

Lisa, I am sorry that I can't find a download link for the older Flash 10.3 Plugin version that I use, but I just can't find it at the Adobe website.


That Adobe Shockwave Player 12.1 is not the same as Adobe Flash Player Plugin, which is also known as Shockwave Flash.

There's also one named Shockwave for Director which is something different again.

And with different versions of Flash Player for - IE = ActiveX, Firefox = Plugin, and Chrome = Pepper, they couldn't have done worse if they planned to confuse the average computer user, as they have managed to do inadvertently.

I curse Macromedia (which was bought out by Adobe) for using the name "Shockwave" on so many of their programs.

Read this answer in context 4

Additional System Details

Installed Plug-ins

  • Next Generation Java Plug-in 10.67.2 for Mozilla browsers
  • NPRuntime Script Plug-in Library for Java(TM) Deploy
  • Adobe PDF Plug-In For Firefox and Netscape 10.1.11
  • Google Update
  • 5.1.30514.0
  • McAfee MSC FF plugin DLL
  • Coupons, Inc. Coupon Printer 4.0.2.0
  • The QuickTime Plugin allows you to view a wide variety of multimedia content in Web pages. For more information, visit the QuickTime Web site.
  • McAfee Virtual Technician plugin
  • iTunes Detector Plug-in
  • npapicomadapter
  • BrowserPlus -- Improve your browser! -- http://browserplus.yahoo.com/
  • npmnqmp 989898989877
  • Windows Presentation Foundation (WPF) plug-in for Mozilla browsers
  • Yahoo! activeX Plug-in Bridge

Application

  • Firefox 32.0.1
  • User Agent: Mozilla/5.0 (Windows NT 5.1; rv:32.0) Gecko/20100101 Firefox/32.0
  • Support URL: https://support.mozilla.org/1/firefox/32.0.1/WINNT/en-US/

Extensions

  • Troubleshooter 1.1a (troubleshooter@mozilla.org)
  • Yahoo! Toolbar 3.2.4.20140604103324 ({635abd67-4fe9-1b23-4f01-e679fa7484c1})
  • McAfee SiteAdvisor 3.7.1 ({4ED1F68A-5463-4931-9384-8FFF5ED91D92}) (Inactive)
  • Microsoft .NET Framework Assistant 0.0.0 ({20a82645-c095-46ed-80e3-08825760534b}) (Inactive)
  • Move Media Player 7 (moveplayer@movenetworks.com) (Inactive)

Javascript

  • incrementalGCEnabled: True

Graphics

  • adapterDescription: RADEON X300 SE 128MB HyperMemory
  • adapterDescription2:
  • adapterDeviceID: 0x5b60
  • adapterDeviceID2:
  • adapterDrivers: ati2dvag
  • adapterDrivers2:
  • adapterRAM: Unknown
  • adapterRAM2:
  • adapterVendorID: 0x1002
  • adapterVendorID2:
  • direct2DEnabled: False
  • direct2DEnabledMessage: [u'tryNewerDriver', u'9.6']
  • directWriteEnabled: False
  • directWriteVersion: 0.0.0.0
  • driverDate: 8-3-2005
  • driverDate2:
  • driverVersion: 8.162.0.0
  • driverVersion2:
  • info: {u'AzureCanvasBackend': u'skia', u'AzureFallbackCanvasBackend': u'cairo', u'AzureContentBackend': u'cairo', u'AzureSkiaAccelerated': 0}
  • isGPU2Active: False
  • numAcceleratedWindows: 0
  • numAcceleratedWindowsMessage: [u'tryNewerDriver', u'9.6']
  • numTotalWindows: 1
  • webglRendererMessage: [u'tryNewerDriver', u'9.6']
  • windowLayerManagerRemote: False
  • windowLayerManagerType: Basic

Modified Preferences

  • browser.cache.disk.capacity: 358400
  • browser.cache.disk.smart_size.first_run: False
  • browser.cache.frecency_experiment: 4
  • browser.places.smartBookmarksVersion: 7
  • browser.sessionstore.upgradeBackup.latestBuildID: 20140911151253
  • browser.startup.homepage_override.buildID: 20140911151253
  • browser.startup.homepage_override.mstone: 32.0.1
  • dom.mozApps.used: True
  • extensions.lastAppVersion: 32.0.1
  • keyword.URL:
  • network.cookie.prefsMigrated: True
  • places.database.lastMaintenance: 1411065952
  • places.history.expiration.transient_current_max_pages: 26794
  • plugin.disable_full_page_plugin_for_types: application/pdf
  • plugin.importedState: True
  • plugin.state.java: 2
  • plugin.state.np32dsw: 2
  • plugin.state.npctrl: 2
  • plugin.state.npgoogleupdate: 2
  • plugin.state.npitunes: 2
  • plugin.state.npmcsnffpl: 2
  • plugin.state.nppdf: 2
  • plugin.state.npqmp: 2
  • plugin.state.npqtplugin: 2
  • plugin.state.npwpf: 2
  • plugin.state.npyaxmpb: 2
  • plugin.state.npybrowserplus: 2
  • privacy.sanitize.migrateFx3Prefs: True
  • storage.vacuum.last.index: 0
  • storage.vacuum.last.places.sqlite: 1411065952

Misc

  • User JS: No
  • Accessibility: No
the-edmeister
  • Top 25 Contributor
  • Moderator
5411 solutions 40287 answers

Adobe Shockwave for Director is a different Plugin than Shockwave Flash.

At any rate, your listing of installed plugins doesn't show Shockwave Flash, any version, as being installed for Firefox.

Please provide a screenshot of the Control Panel > Add or Remove Programs where it shows that the Adobe Flash Player ## Plugin version is installed in WinXP.

https://support.mozilla.org/en-US/kb/how-do-i-create-screenshot-my-problem

It is best to use a compressed image type like PNG or JPG to save the screenshot and make sure that you do not exceed a maximum file size of 1 MB.

Then use the Browse .... button below the Post a Reply text box to upload the screenshot.

BTW, Flash 10.3.183.90 is IMO the best version of Flash for WinXP users. Adobe kept it updated with security updates until just before Microsoft made WinXP E-O-L back in April. Flash 11 and later has features that aren't supported on lower that Vista OS. I don't think Flash 15 adds anything that WinXP can take advantage of, and it seems to be far more crash prone than Flash 10.3 is for me.

Adobe Shockwave for Director is a different Plugin than Shockwave Flash. At any rate, your listing of installed plugins doesn't show Shockwave Flash, any version, as being installed for Firefox. Please provide a screenshot of the Control Panel > Add or Remove Programs where it shows that the Adobe Flash Player ## Plugin version is installed in WinXP. https://support.mozilla.org/en-US/kb/how-do-i-create-screenshot-my-problem It is best to use a compressed image type like PNG or JPG to save the screenshot and make sure that you do not exceed a maximum file size of 1 MB. Then use the '''Browse ....''' button below the '''''Post a Reply''''' text box to upload the screenshot. ''BTW, Flash 10.3.183.90 is IMO the best version of Flash for WinXP users. Adobe kept it updated with security updates until just before Microsoft made WinXP E-O-L back in April. Flash 11 and later has features that aren't supported on lower that Vista OS. I don't think Flash 15 adds anything that WinXP can take advantage of, and it seems to be far more crash prone than Flash 10.3 is for me.''
cor-el
  • Top 10 Contributor
  • Moderator
17564 solutions 158867 answers

You need the 32 bit Flash player version for other browser for Firefox.

You can find the latest Flash player versions for Firefox on this page:

You need the 32 bit Flash player version for other browser for Firefox. You can find the latest Flash player versions for Firefox on this page: *http://www.adobe.com/special/products/flashplayer/fp_distribution3.html
FredMcD
  • Top 10 Contributor
4265 solutions 59804 answers

Helpful Reply

Some added toolbar and anti-virus add-ons are known to cause Firefox issues. Open your Add-ons Manager <Control><Shift > A and Disable All of them.

Some added toolbar and anti-virus add-ons are known to cause Firefox issues. Open your '''Add-ons Manager <Control><Shift > A''' and '''Disable All of them.'''

Question owner

Ok, thanks y'all. I'm working on all your suggestions now. When Firefox sent me to check your flash version now, it gave me that same 15.0 number so that is why I checked in the control panel where Flash was. Perhaps I'm confused in understanding what flash player is and where that information is located in my computer?

Ok, thanks y'all. I'm working on all your suggestions now. When Firefox sent me to check your flash version now, it gave me that same 15.0 number so that is why I checked in the control panel where Flash was. Perhaps I'm confused in understanding what flash player is and where that information is located in my computer?

Question owner

the-edmeister, here is the ss you asked. I hope I'm providing what you need. It worked better as a png. When I did jpg, the little fan just spun for 15 min, the png loaded right away. Weird, usually jpg loads quickly. FredMcD, I also followed your advice, but the problem I see there, is Java. I have a paid Pogo subscription and to play the games there, you have to have the old Java version. If I disable my java in my plug ins, Pogo games won't load and it tells me to go turn it on. Firefox is the only browser I can get to work with Pogo BUT then there is the problem that Firefox doesn't like the old version for security I think? I did turn the others off. Cor-el, thank you, let me have them look at my ss and tell me if I do need to use your link and download something else.

the-edmeister, here is the ss you asked. I hope I'm providing what you need. It worked better as a png. When I did jpg, the little fan just spun for 15 min, the png loaded right away. Weird, usually jpg loads quickly. FredMcD, I also followed your advice, but the problem I see there, is Java. I have a paid Pogo subscription and to play the games there, you have to have the old Java version. If I disable my java in my plug ins, Pogo games won't load and it tells me to go turn it on. Firefox is the only browser I can get to work with Pogo BUT then there is the problem that Firefox doesn't like the old version for security I think? I did turn the others off. Cor-el, thank you, let me have them look at my ss and tell me if I do need to use your link and download something else.

Question owner

Hope this is helpful or what you needed.

Hope this is helpful or what you needed.
the-edmeister
  • Top 25 Contributor
  • Moderator
5411 solutions 40287 answers

Helpful Reply

You don't seem to have any Flash Player installed that Firefox will use. That Adobe Flash Player 15.0 ActiveX only works with Internet Explorer (and other Trident based browsers).

See my screenshot which shows both the ActiveX and Plugin versions of Adobe Flash Player 10. I rarely, if ever, use IE and the Flash 10 version works better than the later versions do with Firefox, on WinXP. On the average, I may get 3 Flash related crashes per month which a mere fraction of the crashes I see some users report here with later versions of Flash.

Also, see my screenshot of the Plugin Check page, which I just visited. It shows my older Flash Player 10.3 r 183 version as being Up to Date. But it isn't for Vista, Win7, and Win8, for users using those newer operating systems.

Install whatever you think is best for you - but you do need to install a Plugin version of Flash for Firefox, based upon your screenshots.

You don't seem to have any Flash Player installed that Firefox will use. That '''Adobe Flash Player 15.0 ActiveX''' only works with Internet Explorer ''(and other Trident based browsers)''. See my screenshot which shows both the ActiveX and Plugin versions of Adobe Flash Player 10. I rarely, if ever, use IE and the Flash 10 version works better than the later versions do with Firefox, on WinXP. On the average, I may get 3 Flash related crashes '''''per month''''' which a mere fraction of the crashes I see some users report here with later versions of Flash. Also, see my screenshot of the Plugin Check page, which I just visited. It shows my older Flash Player 10.3 r 183 version as being '''Up to Date'''. But it isn't for Vista, Win7, and Win8, for users using those newer operating systems. Install whatever you think is best for you - but you do need to install a Plugin version of Flash for Firefox, based upon your screenshots.

Question owner

The ed-meister, I think I found what I needed. I took a ss of what I just downloaded so you can tell me if I am on the right track and what it added in my programs list. I know you said version 10 but I couldn't find that. I found 12. If you can kindly provide me with a link to 10 or just tell me how to phrase what I'm looking for, I can google it. I will save that in case this one proves troublesome. I googled appropriate flash player for Firefox and found a mozilla article that sent me to this download.

It might be a stupid question, but do I now need a plug in download to go with it? I also apologize, I thought if you had flash player on your computer, then you had flash player period and it worked for everything. I didn't know each browser needed a different one. I get it now though so thank you so much. You all have been quite helpful and special thanks ed for guiding me through this.

The ed-meister, I think I found what I needed. I took a ss of what I just downloaded so you can tell me if I am on the right track and what it added in my programs list. I know you said version 10 but I couldn't find that. I found 12. If you can kindly provide me with a link to 10 or just tell me how to phrase what I'm looking for, I can google it. I will save that in case this one proves troublesome. I googled appropriate flash player for Firefox and found a mozilla article that sent me to this download. It might be a stupid question, but do I now need a plug in download to go with it? I also apologize, I thought if you had flash player on your computer, then you had flash player period and it worked for everything. I didn't know each browser needed a different one. I get it now though so thank you so much. You all have been quite helpful and special thanks ed for guiding me through this.

Modified by LisaB13

FredMcD
  • Top 10 Contributor
4265 solutions 59804 answers
See if these help; '''[http://get.adobe.com/reader/ Adobe Reader Version XI (11.0.08)]''' '''[http://get.adobe.com/flashplayer/ Flash Player Version 15. 0.0.152]''' '''[http://get.adobe.com/shockwave/ Shockwave Version 12.1.3.153]''' '''[http://helpx.adobe.com/flash-player.html Flash Player Test Page]''' '''[https://www.adobe.com/software/flash/about/ Flash Player Test Page]''' '''[http://helpx.adobe.com/shockwave/kb/troubleshoot-shockwave-player-installation-windows.html Troubleshoot Shockwave Player installation | Windows]''' '''[http://helpx.adobe.com/shockwave/kb/troubleshoot-shockwave-player-installation-mac.html Troubleshoot installation | Shockwave Player | Mac OS]'''

Question owner

Ok my new best friends The ed-meister and FredMcDthis is what I now have...Fred, I wish I had seen your last post a bit back. I went in under my plug ins on Firefox, then went to the manual on the Shock update I needed. Then I went to control panel and into the Shock and clicked update an followed the download I needed and got it installed. Ok, here is a new SS of what I now have....I think I got it. Fred I checked out those links you posted and matched them to my programs list. Let's see...if I am now where I should be I am so grateful to you both. If we were in person, I would take you to lunch!! arghhh this is so not my cup of tea but tg for smart folks like y'all.

'''Ok my new best friends The ed-meister and FredMcD'''this is what I now have...Fred, I wish I had seen your last post a bit back. I went in under my plug ins on Firefox, then went to the manual on the Shock update I needed. Then I went to control panel and into the Shock and clicked update an followed the download I needed and got it installed. Ok, here is a new SS of what I now have....I think I got it. Fred I checked out those links you posted and matched them to my programs list. Let's see...if I am now where I should be I am so grateful to you both. If we were in person, I would take you to lunch!! arghhh this is so not my cup of tea but tg for smart folks like y'all.
the-edmeister
  • Top 25 Contributor
  • Moderator
5411 solutions 40287 answers

Chosen Solution

Lisa, I am sorry that I can't find a download link for the older Flash 10.3 Plugin version that I use, but I just can't find it at the Adobe website.


That Adobe Shockwave Player 12.1 is not the same as Adobe Flash Player Plugin, which is also known as Shockwave Flash.

There's also one named Shockwave for Director which is something different again.

And with different versions of Flash Player for - IE = ActiveX, Firefox = Plugin, and Chrome = Pepper, they couldn't have done worse if they planned to confuse the average computer user, as they have managed to do inadvertently.

I curse Macromedia (which was bought out by Adobe) for using the name "Shockwave" on so many of their programs.

Lisa, I am sorry that I can't find a download link for the older Flash 10.3 Plugin version that I use, but I just can't find it at the Adobe website. That Adobe Shockwave Player 12.1 is '''not '''the same as Adobe Flash Player Plugin, ''which is also known as Shockwave Flash''. ''There's also one named Shockwave '''''for Director''' ''which is something different again.'' And with different versions of Flash Player for - IE = ActiveX, Firefox = Plugin, and Chrome = Pepper, they couldn't have done worse if they planned to confuse the average computer user, as they have managed to do inadvertently. I curse Macromedia ''(which was bought out by Adobe)'' for using the name "Shockwave" on so many of their programs.

Question owner

yes, it is crazy confusing!!! The good news is the way y'all have guided me, I must have downloaded something right somewhere because Firefox is now acknowledging my flash. The Zynga games are still running horribly but they are now at least running and not telling me I have no flash. So thank you so much!!! Very helpful with the links and the explanations.

I think from this point on it's a Zynga problem and I am sorting through all their advice on how to make Zynga and Firefox work together. I did gain knowledge on how flash works, how to troubleshoot and where to find things on my computer so thanks all!! I do have udated Flash for Firefox, IE and Chrome (that Pepper)...I just saw that when Zynga linked me to checking versions. Thanks y'all. I think I can call this solved because like I said, at least now it is saying I have flash.
yes, it is crazy confusing!!! The good news is the way y'all have guided me, I must have downloaded something right somewhere because Firefox is now acknowledging my flash. The Zynga games are still running horribly but they are now at least running and not telling me I have no flash. So thank you so much!!! Very helpful with the links and the explanations. I think from this point on it's a Zynga problem and I am sorting through all their advice on how to make Zynga and Firefox work together. I did gain knowledge on how flash works, how to troubleshoot and where to find things on my computer so thanks all!! I do have udated Flash for Firefox, IE and Chrome (that Pepper)...I just saw that when Zynga linked me to checking versions. Thanks y'all. I think I can call this solved because like I said, at least now it is saying I have flash.